=== modified file 'docs/_static/default.css'
--- docs/_static/default.css	2010-09-26 18:30:42 +0000
+++ docs/_static/default.css	2011-02-13 20:50:37 +0000
@@ -225,6 +225,14 @@
     background: #efc2c2;
 }
 
+div.admonition-todo {
+border-top: 2px solid red;
+border-bottom: 2px solid red;
+border-left: 2px solid red;
+border-right: 2px solid red;
+background-color: #ff6347
+}
+
 .note tt {
     background: #d6d6d6;
 }

=== added file 'docs/_static/drizzle.ico'
Binary files docs/_static/drizzle.ico and docs/_static/drizzle.ico differ
=== modified file 'docs/alter_table.rst'
--- docs/alter_table.rst	2011-01-14 05:22:13 +0000
+++ docs/alter_table.rst	2011-02-13 20:11:55 +0000
@@ -11,4 +11,6 @@
 3) Enabling and Disabling constraints 
 4) Rename a table
 
-FIXME: add something about current implementation: i.e. write blocking copying alter table.
+.. todo::
+
+   add something about current implementation: i.e. write blocking copying alter table.

=== modified file 'docs/analyze.rst'
--- docs/analyze.rst	2011-01-14 05:21:52 +0000
+++ docs/analyze.rst	2011-02-13 20:50:37 +0000
@@ -5,9 +5,13 @@
 
 ANALYZE TABLE read locks a table, and then analyzes and stores the key distribution for a table.
 
-FIXME: is read lock always true?
-
-FIXME: some engines don't perform an explicit gathering of statistics when
-you type ANALYZE. e.g. innobase (which only copies it's current estimate).
-Only recently did I add this to HailDB so that it does go and do the index
-dives on ANALYZE.
+.. todo::
+
+   is read lock always true?
+
+.. todo::
+   
+   some engines don't perform an explicit gathering of statistics when
+   you type ANALYZE. e.g. innobase (which only copies it's current estimate).
+   Only recently did I add this to HailDB so that it does go and do the index
+   dives on ANALYZE.

=== modified file 'docs/brief_history_of_drizzle.rst'
--- docs/brief_history_of_drizzle.rst	2010-11-30 00:28:02 +0000
+++ docs/brief_history_of_drizzle.rst	2011-02-13 20:50:37 +0000
@@ -12,4 +12,4 @@
 
 Drizzle today is the largest fork of the MySQL server. At the time of writing, core developers span five companies, with as many, and sometimes more then, 30+ developers participating each month. Drizzle provides releases every other week and is the most well-tested database in the MySQL family tree.
 
-More narrative on the project can be found here http://en.wikipedia.org/wiki/Drizzle_(database_server)
+More narrative on the project can be found on `Wikipedia <http://en.wikipedia.org/wiki/Drizzle_(database_server)>`_

=== modified file 'docs/clients/drizzledump.rst'
--- docs/clients/drizzledump.rst	2011-01-28 10:49:22 +0000
+++ docs/clients/drizzledump.rst	2011-02-13 20:50:37 +0000
@@ -260,8 +260,12 @@
 :program:`drizzledump` will automatically detect whether it is talking to a
 MySQL or Drizzle database server.  If it is connected to a MySQL server it will
 automatically convert all the structures and data into a Drizzle compatible 
-format.  It will, however, by default try to connect via. port 4427 so to
-connect to a MySQL server a port must be specified.
+format.
+
+.. warning::
+
+   :program:`drizzledump` will by default try to connect via. port 4427 so to
+   connect to a MySQL server a port (such as 3306) must be specified.
 
 So, simply connecting to a MySQL server with :program:`drizzledump` as follows
 will give you a Drizzle compatible output::
@@ -273,12 +277,15 @@
 
 $ drizzledump --all-databases --host=mysql-host --port=3306 --user=mysql-user --password --destination-type=database --desination-host=drizzle-host
 
-Please take special note of :ref:`old-passwords-label` if you have connection
-issues from :program:`drizzledump` to your MySQL server.
-
-If you find your VARCHAR and TEXT data does not look correct in a drizzledump
-output, it is likely that you have UTF8 data stored in a non-UTF8 table.  In
-which case please check the :option:`--my-data-is-mangled` option.
+.. note::
+
+   Please take special note of :ref:`old-passwords-label` if you have connection
+   issues from :program:`drizzledump` to your MySQL server.
+
+.. note::
+   If you find your VARCHAR and TEXT data does not look correct in a drizzledump
+   output, it is likely that you have UTF8 data stored in a non-UTF8 table.  In
+   which case please check the :option:`--my-data-is-mangled` option.
 
 When you migrate from MySQL to Drizzle, the following conversions are required:
 
@@ -294,13 +301,16 @@
  * tinyblob -> blob
  * mediumblob -> blob
  * longblob -> blob
- * time -> int (of seconds)
  * year -> int
  * set -> text
  * date/datetime default 0000-00-00 -> default NULL (Currently, ALL date columns have their DEFAULT set to NULL on migration)
  * date/datetime NOT NULL columns -> NULL
  * any date data containing 0000-00-00 -> NULL
- * TIME -> INT of the number of seconds*
+ * time -> int of the number of seconds [1]_
  * enum-> DEFAULT NULL
 
-* This prevents data loss since MySQL's TIME data type has a range of -838:59:59 - 838:59:59, and Drizzle's TIME type has a range of 00:00:00 - 23:59:61.999999.
+.. rubric:: Footnotes
+
+.. [1] This prevents data loss since MySQL's TIME data type has a range of
+       -838:59:59 - 838:59:59, and Drizzle's TIME type has a range of
+       00:00:00 - 23:59:61.999999.

=== modified file 'docs/clients/errors.rst'
--- docs/clients/errors.rst	2011-01-21 11:23:19 +0000
+++ docs/clients/errors.rst	2011-02-13 20:50:37 +0000
@@ -8,7 +8,10 @@
 
 Old Password Error
 ------------------
-*drizzle_state_handshake_result_read:old insecure authentication mechanism not supported*
+
+::
+
+   drizzle_state_handshake_result_read:old insecure authentication mechanism not supported
 
 This error happens because the Drizzle client is trying to connect to a MySQL
 server which has the password stored in the Old Password (or pre-MySQL-4.1)

=== modified file 'docs/conf.py'
--- docs/conf.py	2010-09-28 17:34:48 +0000
+++ docs/conf.py	2011-02-13 20:50:37 +0000
@@ -110,12 +110,12 @@
 
 # The name of an image file (relative to this directory) to place at the top
 # of the sidebar.
-#html_logo = None
+html_logo = 'logo.png'
 
 # The name of an image file (within the static path) to use as favicon of the
 # docs.  This file should be a Windows icon file (.ico) being 16x16 or 32x32
 # pixels large.
-#html_favicon = None
+html_favicon = 'drizzle.ico'
 
 # Add any paths that contain custom static files (such as style sheets) here,
 # relative to this directory. They are copied after the builtin static files,
@@ -255,3 +255,6 @@
 
 # Example configuration for intersphinx: refer to the Python standard library.
 intersphinx_mapping = {'http://docs.python.org/': None}
+
+[extensions]
+todo_include_todos=True

=== modified file 'docs/create_index.rst'
--- docs/create_index.rst	2011-01-14 05:21:04 +0000
+++ docs/create_index.rst	2011-02-13 20:50:37 +0000
@@ -10,4 +10,6 @@
 This would create an index on table_t named  table_1_index that convered
 columns a and b.
 
-FIXME: how this is implemented currently. i.e. no fast add index
+.. todo::
+   
+   how this is implemented currently. i.e. no fast add index

=== modified file 'docs/data_dictionary.rst'
--- docs/data_dictionary.rst	2011-01-14 05:20:50 +0000
+++ docs/data_dictionary.rst	2011-02-13 20:50:37 +0000
@@ -9,4 +9,6 @@
 
 That table contains the name and value of the :doc:`/variables` that the user has created during the current session.
 
-FIXME: the above is specific to the VARIABLES table.
+.. todo::
+   
+   the above is specific to the VARIABLES table.

=== modified file 'docs/date_time_data_types.rst'
--- docs/date_time_data_types.rst	2011-01-21 00:21:51 +0000
+++ docs/date_time_data_types.rst	2011-02-13 20:11:55 +0000
@@ -5,19 +5,19 @@
 
 **Date/Time Types**
 
-+------------+---------------------------+---------------------------+------------------------+---------------+---------------+
-|Data Type   |Lowest Value (or NULL)     |Maximum Value              |Description	      |Storage Size   |Resolution     |
-+============+===========================+===========================+========================+===============+===============+
-|TIMESTAMP   |'0001-01-01 00:00:00'      |'9999-12-31 23:59:59'      |both date and time      |4 bytes        |1 second       |
-+------------+---------------------------+---------------------------+------------------------+---------------+---------------+
-|TIMESTAMP(6)|'0001-01-01 00:00:000000'  |'9999-12-31 23:59:999999'  |both date and time      |8 bytes        |1 microsecond  |
-+------------+---------------------------+---------------------------+------------------------+---------------+---------------+
-|DATE        |'0001-01-01'               |'9999-12-31'               |dates only              |4 bytes        |1 day          +
-+------------+---------------------------+---------------------------+------------------------+---------------+---------------+
-|TIME        |'00:00:000000'             |'23:59:999999'             |time of day             |8 bytes        |1 microsecond  +
-+------------+---------------------------+---------------------------+------------------------+---------------+---------------+
-|DATETIME    |'0001-01-01 00:00:000000'  |'9999-12-31 23:59:999999'  |both date and time      |8 bytes        |1 microsecond  |
-+------------+---------------------------+---------------------------+------------------------+---------------+---------------+
++------------+------------------------------+------------------------------+------------------------+---------------+---------------+
+|Data Type   |Lowest Value (or NULL)        |Maximum Value                 |Description	            |Storage Size   |Resolution     |
++============+==============================+==============================+========================+===============+===============+
+|TIMESTAMP   |'0001-01-01 00:00:00'         |'9999-12-31 23:59:59'         |both date and time      |4 bytes        |1 second       |
++------------+------------------------------+------------------------------+------------------------+---------------+---------------+
+|TIMESTAMP(6)|'0001-01-01 00:00:00.000000'  |'9999-12-31 23:59:99.999999'  |both date and time      |8 bytes        |1 microsecond  |
++------------+------------------------------+------------------------------+------------------------+---------------+---------------+
+|DATE        |'0001-01-01'                  |'9999-12-31'                  |dates only              |4 bytes        |1 day          |
++------------+------------------------------+------------------------------+------------------------+---------------+---------------+
+|TIME        |'00:00:00.000000'             |'23:59:99.999999'             |time of day             |8 bytes        |1 microsecond  |
++------------+------------------------------+------------------------------+------------------------+---------------+---------------+
+|DATETIME    |'0001-01-01 00:00:00.000000'  |'9999-12-31 23:59:99.999999'  |both date and time      |8 bytes        |1 microsecond  |
++------------+------------------------------+------------------------------+------------------------+---------------+---------------+
 
 TIMESTAMP and TIMESTAMP(6)
 --------------------------

=== modified file 'docs/dml.rst'
--- docs/dml.rst	2011-01-14 05:18:56 +0000
+++ docs/dml.rst	2011-02-13 20:50:37 +0000
@@ -3,7 +3,9 @@
 
 The Data Manipulation Language (DML) is made up of SQL statements that modify stored data but not the database schema or database objects. Each SQL DML statement is a declarative command, rather than imperative.
 
-FIXME: LOAD DATA INFILE
+.. todo::
+
+   LOAD DATA INFILE
 
 .. toctree::
    :maxdepth: 2

=== modified file 'docs/drop_index.rst'
--- docs/drop_index.rst	2011-01-14 05:19:11 +0000
+++ docs/drop_index.rst	2011-02-13 20:50:37 +0000
@@ -5,4 +5,6 @@
 
 DROP INDEX table_1_index ON table_1;
 
-FIXME: how this is curretly implemented (i.e. not fast drop index)
+.. todo:
+
+   how this is curretly implemented (i.e. not fast drop index)

=== modified file 'docs/dynamic.rst'
--- docs/dynamic.rst	2011-01-14 05:19:45 +0000
+++ docs/dynamic.rst	2011-02-13 20:50:37 +0000
@@ -27,4 +27,6 @@
 launched it. It can be killed via KILL and the system limit on total number
 of sessions will be enforced.
 
-FIXME: EXECUTE executes the statements inside an explicit transaction.
+.. todo::
+
+   EXECUTE executes the statements inside an explicit transaction.

=== modified file 'docs/insert.rst'
--- docs/insert.rst	2011-01-14 05:16:49 +0000
+++ docs/insert.rst	2011-02-13 20:50:37 +0000
@@ -8,4 +8,6 @@
 INSERT INTO A VALUES ("1");
 
 
-FIXME: multi row inserts, performance thereof.
+.. todo::
+
+   multi row inserts, performance thereof.

=== modified file 'docs/installing/redhat.rst'
--- docs/installing/redhat.rst	2011-01-25 00:21:20 +0000
+++ docs/installing/redhat.rst	2011-02-13 20:50:37 +0000
@@ -11,9 +11,9 @@
 `EPEL <http://fedoraproject.org/wiki/EPEL>`_ repository is also added to your
 distribution.
 
-To add that repository, run the following command:
+To add that repository, run the following command::
 
-sudo rpm -Uvh http://download.fedora.redhat.com/pub/epel/5/i386/epel-release-5-4.noarch.rpm
+  sudo rpm -Uvh http://download.fedora.redhat.com/pub/epel/5/i386/epel-release-5-4.noarch.rpm
 
 To add the repository to your distribution you also need to create a /etc/yum.repos.d/drizzle.repo file with the following content:
 

=== modified file 'docs/join.rst'
--- docs/join.rst	2011-01-14 05:16:35 +0000
+++ docs/join.rst	2011-02-13 20:50:37 +0000
@@ -49,7 +49,14 @@
     * JOIN: Return rows when there is at least one match in both tables
     * LEFT JOIN: Return all rows from the left table, even if there are no matches in the right table
     * RIGHT JOIN: Return all rows from the right table, even if there are no matches in the left table
-    * FULL JOIN: Return rows when there is a match in one of the tables
-
-
-FIXME: how joins are executed. i.e. nested loop join.
+    * CROSS JOIN: Return rows when there is a match in one of the tables
+
+.. note::
+
+   Implicit cartesian products of the form ``SELECT * FROM t1, t2`` without a 
+   ``WHERE`` or ``ON`` condition will error.  If such behaviour is intended
+   please use ``SELECT * FROM t1 CROSS JOIN t2``.
+
+.. todo::
+
+   how joins are executed. i.e. nested loop join.

=== modified file 'docs/locks.rst'
--- docs/locks.rst	2011-01-14 05:15:38 +0000
+++ docs/locks.rst	2011-02-13 23:52:16 +0000
@@ -20,7 +20,9 @@
 
 If a session should exit, whatever locks it was holding will be deleted.
 
-FIXME: deleted or released? are locks recursive?
+.. todo::
+
+   deleted or released? are locks recursive?
 
 Please note, get_lock() was designed to be compatible with MySQL. If you
 hold any locks when calling get_lock() they will be released. For this

=== modified file 'docs/options.rst'
--- docs/options.rst	2010-11-12 11:45:20 +0000
+++ docs/options.rst	2011-02-13 17:00:48 +0000
@@ -1,3 +1,5 @@
+.. _options:
+
 Drizzled Options
 ================
 

=== modified file 'docs/orderby.rst'
--- docs/orderby.rst	2011-01-14 05:14:53 +0000
+++ docs/orderby.rst	2011-02-13 20:50:37 +0000
@@ -45,6 +45,10 @@
 	SELECT * FROM Persons
 	ORDER BY LastName DESC;
 
-FIXME: add something about SELECT * without ORDER BY being non-deterministic
-
-FIXME: add something about how ORDER BY is executed. index scan vs filesort
+.. todo::
+
+   add something about SELECT * without ORDER BY being non-deterministic
+
+.. todo::
+
+   add something about how ORDER BY is executed. index scan vs filesort

=== modified file 'docs/start_transaction.rst'
--- docs/start_transaction.rst	2011-01-14 05:12:09 +0000
+++ docs/start_transaction.rst	2011-02-13 20:11:55 +0000
@@ -6,4 +6,9 @@
 	START TRANSACTION [WITH CONSISTENT SNAPSHOT]
 	BEGIN
 
-When https://bugs.launchpad.net/drizzle/+bug/674719 is fixed, Drizzle will have the PostgreSQL like behaviour of giving an error if a transaction is already in progress.
+.. warning::
+
+   If you are currently already in a transaction Drizzle will give a warning
+   stating that you are in a transaction in a similar way to PostgreSQL.
+   This is instead of implicitly committing the transaction in the way MySQL
+   does.

=== modified file 'docs/string_data_types.rst'
--- docs/string_data_types.rst	2011-01-15 03:08:27 +0000
+++ docs/string_data_types.rst	2011-02-13 20:11:55 +0000
@@ -8,6 +8,11 @@
 
 A VARCHAR or VARBINARY type is used to store variable length data. Indexes on these types are by default the full length of the data stored. The only difference between the two types is the COLLATION which is used. VARBINARY uses a binary collation for all index usage.
 
+.. note::
+
+   ``CHAR`` and ``BINARY`` types are implicitly changed to ``VARCHAR`` and
+   ``VARBINARY`` respectively.
+
 TEXT and BLOB
 -------------
 

=== modified file 'docs/testing/test-run.rst'
--- docs/testing/test-run.rst	2010-11-02 18:06:29 +0000
+++ docs/testing/test-run.rst	2011-02-13 20:50:37 +0000
@@ -362,9 +362,9 @@
 Options for coverage, profiling etc
 -----------------------------------
 
-.. option:: --gcov                  
-
-   FIXME
+.. todo::
+   
+   .. option:: --gcov                  
 
 .. option:: --gprof                 
 

=== modified file 'docs/truncate.rst'
--- docs/truncate.rst	2011-01-14 05:09:52 +0000
+++ docs/truncate.rst	2011-02-13 20:50:37 +0000
@@ -1,7 +1,9 @@
 TRUNCATE
 ========
 
-FIXME: I don't think the below SERIAL/AUTO_INCREMENT thing below is true.
+.. todo::
+
+   I don't think the below SERIAL/AUTO_INCREMENT thing below is true.
 
 This will delete all data in a table but unlike a DROP TABLE it will allow you to keep the table in your database. It deletes the rows but leaves all counters, such as a SERIAL, in place. ::
 

=== modified file 'plugin/innobase/docs/index.rst'
--- plugin/innobase/docs/index.rst	2011-01-08 09:35:11 +0000
+++ plugin/innobase/docs/index.rst	2011-02-13 20:50:37 +0000
@@ -30,8 +30,9 @@
 libaio-devel).  For more information on the advantages of this please see
 http://blogs.innodb.com/wp/2010/04/innodb-performance-aio-linux/
 
-To confirm that Linux native AIO is enabled execute this command:
-"show global variables like 'innodb_use_native_aio';"
+To confirm that Linux native AIO is enabled execute this command::
+
+  show global variables like 'innodb_use_native_aio';
 
 Compatibility with MySQL
 ------------------------

